package JUnit;

import org.junit.jupiter.api.*;

import static org.junit.jupiter.api.Assertions.assertEquals;

@TestMethodOrder(MethodOrderer.MethodName.class)
class LargestTestBeforeEach {

    int[] list1;

    @BeforeEach
    public void setup_test() {
        list1 = new int[]{8, 9, 7};
    }

    @AfterEach
    public void teardown_test() {
        list1 = null;
    }

    @Test
    void testLargest1() {
        int expResult = 9;
        int result = Largest.largest5(list1);
        assertEquals(expResult, result, "Largest value in list {8,9,7} should be 9");
        list1[0] = 100;
    }

    @Test
    void testLargest2() {
        int expResult = 9;
        int result = Largest.largest5(list1);
        assertEquals(expResult, result, "Largest value in list {8,9,7} should be 9");
        list1[0] = 100;
    }

}