
public class Elf extends Entity {
    public static final char ELF = 'E';
    public static final int ELF_DAMAGE = 7;
    public static final int ELF_HP = 15;

    public Elf() {
        super(ELF, ELF_HP, ELF_DAMAGE);
    }

    @Override
    public void debugAttack(GameStatus status, int tempRow, int tempColumn, int targetRow, int targetColumn, int HP, int HPAfter) {
        status.elfAttackDebug(tempRow, tempColumn, targetRow, targetColumn, HP, HPAfter);
    }

    @Override
    public void debugLossConditions(GameStatus status, int entityCounter){
        status.elfLoseDebug(entityCounter);
    }
}