public abstract class Entity
{
    //removed unused
    public static final char EMPTY = ' ';

    private char appearance;
    private int hitPoints;
    private final int damage; // added final as damage never changes

    private static int orcCounter = 0;
    private static int elfCounter = 0;

    public Entity(char appearance, int hitPoints, int damage) {
        this.appearance = appearance;
        this.hitPoints = hitPoints;
        this.damage = damage;
    }

    public abstract void debugAttack(GameStatus status, int tempRow, int tempColumn, int targetRow, int targetColumn, int HP, int HPAfter);
    public abstract void debugLossConditions(GameStatus status, int entityCounter);

    public char getAppearance()
    {
        return(appearance);
    }

    public int getHitPoints()
    {
        return(hitPoints);
    }

    public void setAppearance(char newAppearance)
    {
        appearance = newAppearance;
    }

    public void setHitPoints(int newHitPoints)
    {
        hitPoints = newHitPoints;
    }

    public int getDamage()
    {
        return(damage);
    }

    public static int getElfCounter() {
        return elfCounter;
    }

    public static int getOrcCounter() {
        return orcCounter;
    }

    public static void incrementElfCounter(int value) {
        elfCounter = elfCounter + value;
    }

    public static void incrementOrcCounter(int value) {
        orcCounter = orcCounter + value;
    }

    public static void setElfCounter(int newElfCounter){
        elfCounter = newElfCounter;
    }

    public static void setOrcCounter(int newOrcCounter){
        orcCounter = newOrcCounter;
    }
}

